Bug 962856 - [abrt] cinnamon-1.8.2-4.fc19: g_settings_schema_get_value: Process /usr/bin/cinnamon was killed by signal 5 (SIGTRAP)
[abrt] cinnamon-1.8.2-4.fc19: g_settings_schema_get_value: Process /usr/bin/c...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
abrt_hash:d5f574b18841fd69761f85f936d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 11:16 EDT by Tomas Dolezal
Modified: 2014-04-17 07:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-04 14:53:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (73.64 KB, text/plain)
2013-05-14 11:16 EDT, Tomas Dolezal
no flags Details
File: cgroup (141 bytes, text/plain)
2013-05-14 11:17 EDT, Tomas Dolezal
no flags Details
File: core_backtrace (3.54 KB, text/plain)
2013-05-14 11:17 EDT, Tomas Dolezal
no flags Details
File: dso_list (19.90 KB, text/plain)
2013-05-14 11:17 EDT, Tomas Dolezal
no flags Details
File: environ (1.59 KB, text/plain)
2013-05-14 11:17 EDT, Tomas Dolezal
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-14 11:17 EDT, Tomas Dolezal
no flags Details
File: maps (83.25 KB, text/plain)
2013-05-14 11:17 EDT, Tomas Dolezal
no flags Details
File: open_fds (4.40 KB, text/plain)
2013-05-14 11:17 EDT, Tomas Dolezal
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-05-14 11:17 EDT, Tomas Dolezal
no flags Details
File: var_log_messages (13.11 KB, text/plain)
2013-05-14 11:17 EDT, Tomas Dolezal
no flags Details

  None (edit)
Description Tomas Dolezal 2013-05-14 11:16:53 EDT
Version-Release number of selected component:
cinnamon-1.8.2-4.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: g_settings_schema_get_value
executable:     /usr/bin/cinnamon
kernel:         3.9.0-301.fc19.x86_64
runlevel:       N 5
uid:            19436

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_settings_schema_get_value at gsettingsschema.c:640
 #3 g_settings_schema_key_init at gsettingsschema.c:751
 #4 g_settings_get_value at gsettings.c:1079
 #5 g_settings_get_boolean at gsettings.c:1785
 #6 ffi_call_unix64 at ../src/x86/unix64.S:76
 #7 ffi_call at ../src/x86/ffi64.c:522
 #8 gjs_invoke_c_function at gi/function.c:893
 #9 function_call at gi/function.c:1202
 #10 CallJSNative at jscntxtinlines.h:701
 #11 js::Invoke at jsinterp.cpp:696
Comment 1 Tomas Dolezal 2013-05-14 11:16:58 EDT
Created attachment 747726 [details]
File: backtrace
Comment 2 Tomas Dolezal 2013-05-14 11:17:01 EDT
Created attachment 747727 [details]
File: cgroup
Comment 3 Tomas Dolezal 2013-05-14 11:17:03 EDT
Created attachment 747728 [details]
File: core_backtrace
Comment 4 Tomas Dolezal 2013-05-14 11:17:06 EDT
Created attachment 747729 [details]
File: dso_list
Comment 5 Tomas Dolezal 2013-05-14 11:17:10 EDT
Created attachment 747730 [details]
File: environ
Comment 6 Tomas Dolezal 2013-05-14 11:17:12 EDT
Created attachment 747731 [details]
File: limits
Comment 7 Tomas Dolezal 2013-05-14 11:17:14 EDT
Created attachment 747732 [details]
File: maps
Comment 8 Tomas Dolezal 2013-05-14 11:17:17 EDT
Created attachment 747733 [details]
File: open_fds
Comment 9 Tomas Dolezal 2013-05-14 11:17:20 EDT
Created attachment 747734 [details]
File: proc_pid_status
Comment 10 Tomas Dolezal 2013-05-14 11:17:22 EDT
Created attachment 747735 [details]
File: var_log_messages
Comment 11 leigh scott 2013-12-04 14:53:10 EST
The missing idle-dim-ac schema issue is fixed



$ gsettings list-keys org.cinnamon.settings-daemon.plugins.power |grep idle-dim-ac
idle-dim-ac






        was_recursion = <optimized out>
        msg = 0x457e2e0 "Settings schema 'org.gnome.settings-daemon.plugins.power' does not contain a key named 'idle-dim-ac'"
        msg_alloc = 0x457e2e0 "Settings schema 'org.gnome.settings-daemon.plugins.power' does not contain a key named 'idle-dim-ac'"
        i = 2
#1  0x00007f3fc69f1142 in g_log (log_domain=log_domain@entry=0x7f3fc7ff4a78 "GLib-GIO", log_level=log_level@entry=G_LOG_LEVEL_ERROR, format=format@entry=0x7f3fc800f820 "Settings schema '%s' does not contain a key named '%s'") at gmessages.c:1010
        args = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fffc55bb330, reg_save_area = 0x7fffc55bb270}}
#2  0x00007f3fc7fb0724 in g_settings_schema_get_value (schema=schema@entry=0x379c100, key=key@entry=0x457bac0 "idle-dim-ac") at gsettingsschema.c:640
        iter = <optimized out>
        value = 0x0
#3  0x00007f3fc7fb08fd in g_settings_schema_key_init (key=key@entry=0x7fffc55bb3c0, schema=0x379c100, name=name@entry=0x457bac0 "idle-dim-ac") at gsettingsschema.c:751
        iter = <optimized out>
        data = 0x7f3fc55591ac <examine_argument+28>
        code = 0 '\000'
#4  0x00007f3fc7fb3c8b in g_settings_get_value (settings=0x4646ed0 [GSettings], key=0x457bac0 "idle-dim-ac") at gsettings.c:1079
Comment 12 leigh scott 2014-01-02 15:09:47 EST
(In reply to leigh scott from comment #11)
> The missing idle-dim-ac schema issue is fixed
> 
> 
> 
> $ gsettings list-keys org.cinnamon.settings-daemon.plugins.power |grep
> idle-dim-ac
> idle-dim-ac
> 
> 
> 
> 
> 
> 
>         was_recursion = <optimized out>
>         msg = 0x457e2e0 "Settings schema
> 'org.gnome.settings-daemon.plugins.power' does not contain a key named
> 'idle-dim-ac'"
>         msg_alloc = 0x457e2e0 "Settings schema
> 'org.gnome.settings-daemon.plugins.power' does not contain a key named
> 'idle-dim-ac'"
>         i = 2
> #1  0x00007f3fc69f1142 in g_log (log_domain=log_domain@entry=0x7f3fc7ff4a78
> "GLib-GIO", log_level=log_level@entry=G_LOG_LEVEL_ERROR,
> format=format@entry=0x7f3fc800f820 "Settings schema '%s' does not contain a
> key named '%s'") at gmessages.c:1010
>         args = {{gp_offset = 40, fp_offset = 48, overflow_arg_area =
> 0x7fffc55bb330, reg_save_area = 0x7fffc55bb270}}
> #2  0x00007f3fc7fb0724 in g_settings_schema_get_value
> (schema=schema@entry=0x379c100, key=key@entry=0x457bac0 "idle-dim-ac") at
> gsettingsschema.c:640
>         iter = <optimized out>
>         value = 0x0
> #3  0x00007f3fc7fb08fd in g_settings_schema_key_init
> (key=key@entry=0x7fffc55bb3c0, schema=0x379c100, name=name@entry=0x457bac0
> "idle-dim-ac") at gsettingsschema.c:751
>         iter = <optimized out>
>         data = 0x7f3fc55591ac <examine_argument+28>
>         code = 0 '\000'
> #4  0x00007f3fc7fb3c8b in g_settings_get_value (settings=0x4646ed0
> [GSettings], key=0x457bac0 "idle-dim-ac") at gsettings.c:1079


The fact it's looking in 'org.gnome.settings-daemon.plugins.power' probably means your using an unsupported applet, extension or docklet.

Note You need to log in before you can comment on or make changes to this bug.